#include<iostream>
#include<conio.h>
using namespace std;
class MiyanginAedadClass
{
	private :
		double JameVorodiMosbat, JameVorodiManfi;
		int i, TedadVorodiMosbat, TedadVorodiManfi;
	public :
		int TedadVorodi;
		double x;
		MiyanginAedadClass() //constructor
		{
			TedadVorodiMosbat = 0;
			TedadVorodiManfi = 0;
			JameVorodiMosbat = 0;
			JameVorodiManfi = 0;
		}
		void DaryaftAedadVaJam()
		{
			for(i = 0; i < TedadVorodi; i++)
			{
				cin >> x;
				if (x > 0)
				{
					JameVorodiMosbat += x;
					TedadVorodiMosbat ++;
				}
				else
				{
					JameVorodiManfi += x;
					TedadVorodiManfi ++;
				}
			}
		}
		double GetMiyanginMosbat()
		{
			return JameVorodiMosbat / TedadVorodiMosbat;
		}	
		double GetMiyanginManfi()
		{
			return JameVorodiManfi / TedadVorodiManfi;
		}	
		int GetTedadMosbat()
		{
			return TedadVorodiMosbat;
		}	
		int GetTedadManfi()
		{
			return TedadVorodiManfi;
		}	
};

int main()
{
	MiyanginAedadClass A;
	cout << "Tedade adad ra vared namaeed : ";
	cin >> A.TedadVorodi;
	cout << endl << " aedad ra vared namaeed : ";
	A.DaryaftAedadVaJam();
	if (A.GetTedadMosbat() > 0)
		cout << "Miyangine Mosbat ha = " << A.GetMiyanginMosbat() << endl;
	else
		cout << "Vorodi Mosbat Nadarim!" << endl;
	if (A.GetTedadManfi() > 0)
		cout << "Miyangine Manfi ha = " << A.GetMiyanginManfi() << endl;
	else
		cout << "Vorodi Manfi Nadarim!" << endl;
	getch();
}

